Bug 1414688 - Changing enabled screens causes dropdown terminal to show
Summary: Changing enabled screens causes dropdown terminal to show
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-terminal
Version: 24
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 09:14 UTC by Stanislav Kontar
Modified: 2017-02-10 14:47 UTC (History)
4 users (show)

Fixed In Version: xfce4-terminal-0.8.4-1.fc25 xfce4-terminal-0.8.4-1.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-09 04:22:17 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Xfce 13295 0 None None None 2017-01-19 09:14:35 UTC

Description Stanislav Kontar 2017-01-19 09:14:36 UTC
Description of problem:
When I disable/enable some of my monitors, and I have already used dropdown terminal (e.g. it is loaded in memory) the 0.8.3 version of xfce4-terminal shows up (drops down). It works fine on version 0.8.1. The change to monitors I am running is something along the lines of:

# Disable all screens
xrandr --output eDP1 --off
xrandr --output DP2-2 --off
xrandr --output DP2-1 --off
xrandr --output HDMI1 --off
xrandr --output DP2 --off

# Enable the one I need now
xrandr --output eDP1 --primary --auto


Version-Release number of selected component (if applicable):
0.8.3-1


How reproducible:
Always


Steps to Reproduce:
1. Call `xfce4-terminal --drop-down` twice (I am using keyboard shortcut), so the dropdown terminal shows up and hides again
2. Call following bash script:

# Disable all screens
xrandr --output eDP1 --off
xrandr --output DP2-2 --off
xrandr --output DP2-1 --off
xrandr --output HDMI1 --off
xrandr --output DP2 --off

# Enable the one I need now
xrandr --output eDP1 --primary --auto


Actual results:
xfce4-terminal which is supposed to be hidden, shows up (drops down) again.


Expected results:
xfce4-terminal visibility does not change, it is still hidden.


Additional info:
Works fine on 0.8.1

Comment 2 Mukundan Ragavan 2017-01-21 13:33:56 UTC
Thanks for the quick fix Igor.

I will spin up a scratch build for testing.

Comment 3 Igor 2017-02-06 09:11:21 UTC
Hi, I have just released version 0.8.4 which fixes this bug.

Comment 4 Fedora Update System 2017-02-06 18:24:11 UTC
xfce4-terminal-0.8.4-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9d2a379008

Comment 5 Fedora Update System 2017-02-06 18:27:33 UTC
xfce4-terminal-0.8.4-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a27ce7a41c

Comment 6 Fedora Update System 2017-02-07 02:50:11 UTC
xfce4-terminal-0.8.4-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9d2a379008

Comment 7 Fedora Update System 2017-02-07 10:50:20 UTC
xfce4-terminal-0.8.4-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a27ce7a41c

Comment 8 Fedora Update System 2017-02-09 04:22:17 UTC
xfce4-terminal-0.8.4-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-02-10 14:47:52 UTC
xfce4-terminal-0.8.4-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.